Get all users that follow specified artist
curl --request GET \
--url https://open.beatpass.ca/api/v1/artists/{id}/followers \
--header 'Authorization: Bearer <token>'import requests
url = "https://open.beatpass.ca/api/v1/artists/{id}/followers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://open.beatpass.ca/api/v1/artists/{id}/followers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"pagination": {
"current_page": 1,
"from": 1,
"to": 100,
"per_page": 25,
"last_page": 156,
"total": 264,
"data": [
{
"id": 123,
"display_name": "<string>",
"avatar": "<string>"
}
]
}
}Artists
Get all users that follow specified artist
GET
/
artists
/
{id}
/
followers
Get all users that follow specified artist
Authorizations
API access is invite-only. Contact contact@beatpass.ca to request access. Once approved, generate tokens from Account Settings → Developers. Include as: Authorization: Bearer {token}. Tokens expire after 90 days.
Path Parameters
ID of the artist
Query Parameters
How many tracks to return per page
Which page to return
Last modified on July 21, 2026
Was this page helpful?
⌘I